Bug 1463799 - os-collect-config: [ERROR] Skipping group os-apply-config with no hook script None
os-collect-config: [ERROR] Skipping group os-apply-config with no hook script...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: os-collect-config (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ben Nemec
Shai Revivo
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 15:32 EDT by Joe Talerico
Modified: 2017-07-27 16:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-27 16:54:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Talerico 2017-06-21 15:32:13 EDT
Description of problem:
Jun 21 14:45:45 localhost os-collect-config: [2017-06-21 14:45:45,178] (heat-config) [ERROR] Skipping group os-apply-config with no hook script None

Made me believe the deployment failed due to something with os-apply-config, however after asking on IRC it seem this message can be ignored.
Comment 1 Alex Schultz 2017-06-21 16:39:11 EDT
I asked for this bug to be created but during a deployment something is causing this message to show up which can be problematic when trying to troubleshoot deployment failures. There is a case where this could be an error, like if the heat agent is not installed but something tries to call it but in this particular case the hook script is 'None' which just gets ignored. We should figure out what's causing this and stop it or fix the error message to not show when the hook is None.
Comment 2 Ben Nemec 2017-06-21 17:30:48 EDT
I think I'm going to need more details on this.  I don't see the message in the deployment I just did:

[root@overcloud-controller-0 heat-admin]# journalctl -u os-collect-config | grep "Skipping group"
[root@overcloud-controller-0 heat-admin]#

What features were in use, does this only happen on failed deployments, if so what specifically failed, etc.
Comment 3 Joe Talerico 2017-06-22 09:28:47 EDT
Hey Ben - I mentioned I saw this to Alex, he said it can be ignored and that message should be removed.

I was deploying with containers..
Comment 4 Alex Schultz 2017-06-22 17:58:24 EDT
Ben might be right, it might only happen on failed deployments. I know i've seen this error before but I think we need some additional details to replicate it as a successful deploy does not seem to have this error in the logs.
Comment 5 Ben Nemec 2017-06-22 18:09:15 EDT
FWIW, I don't see the message in a failed deployment locally, nor in some failed containers jobs upstream.  This makes me think the circumstances that trigger the message are pretty specific.
Comment 6 Joe Talerico 2017-06-22 19:48:26 EDT
@Ben Interesting... By specific, I am only trying to deploy a very basic container deployment. I have updated to the latest puddle and will see if I get the same result.
Comment 7 Joe Talerico 2017-06-23 06:49:43 EDT
I just deployed with the 22.5 downstream and see:

Jun 22 21:24:05 localhost os-collect-config: [2017-06-22 21:24:05,633] (heat-config) [ERROR] Skipping group os-apply-config with no hook script None

RPM on the oc
os-collect-config-7.0.1-0.20170612052603.5870ed6.el7ost.noarch

Deploy command
openstack overcloud deploy --templates --debug -e ~/rdu-hp/deploy.yml -e ~/rdu-hp/network-environment.yaml -e /usr/share/openstack-tripleo-heat-templates/environments/docker.yaml -e ~/docker-osp12.yaml
Comment 8 Ben Nemec 2017-06-23 11:35:22 EDT
Weird.  The message does not show up upstream: http://logs.openstack.org/96/476896/1/check-tripleo/gate-tripleo-ci-centos-7-ovb-containers-oooq/92dad52/logs/overcloud-controller-0/var/log/messages.txt.gz

Slightly different package version: os-collect-config-7.0.1-0.20170616180828.9d7ae94.el7.centos.noarch

But there have been no meaningful changes to that project recently so that shouldn't be it.  We aren't using network-isolation upstream yet so maybe that has something to do with it?
Comment 9 Alex Schultz 2017-07-27 16:54:30 EDT
I haven't spotted this lately so I'm going to close this until we can reproduce this consistently.

Note You need to log in before you can comment on or make changes to this bug.